Package twisted :: Package web :: Module proxy :: Class ProxyRequest |
[show private | hide private]
[frames | no frames]

## Class ProxyRequest

    Request --+
              |
             ProxyRequest

Used by Proxy to impelement a simple web proxy.

Method Summary
| ``__init__`(self, channel, queued)` (inherited from `Request`)
| `__repr__(self)` (inherited from `Request`)
| ``addCookie`(self, k, v, expires, domain, path, max_age, comment, secure)` Set an outgoing HTTP cookie. (inherited from `Request`)
| ``connectionLost`(self, reason)` connection was lost (inherited from `Request`)
| ``finish`(self)` We are finished writing data. (inherited from `Request`)
| ``getAllHeaders`(self)` Return dictionary of all headers the request received. (inherited from `Request`)
| `getClient(self)` (inherited from `Request`)
| `getClientIP(self)` (inherited from `Request`)
| ``getCookie`(self, key)` Get a cookie that was sent from the network. (inherited from `Request`)
| ``getHeader`(self, key)` Get a header that was sent from the network. (inherited from `Request`)
| ``getHost`(self)` Get my originally requesting transport's host. (inherited from `Request`)
| `getPassword(self)` (inherited from `Request`)
| ``getRequestHostname`(self)` Get the hostname that the user passed in to the request. (inherited from `Request`)
| `getUser(self)` (inherited from `Request`)
| ``gotLength`(self, length)` Called when HTTP channel got length of content in this request. (inherited from `Request`)
| ``handleContentChunk`(self, data)` Write a chunk of data. (inherited from `Request`)
| `isSecure(self)` (inherited from `Request`)
| ``noLongerQueued`(self)` Notify the object that it is no longer queued. (inherited from `Request`)
| ``parseCookies`(self)` Parse cookie headers. (inherited from `Request`)
| ``process`(self)` Override in subclasses.
| ``redirect`(self, url)` Utility function that does a redirect. (inherited from `Request`)
| ``registerProducer`(self, producer, streaming)` Register a producer. (inherited from `Request`)
| ``requestReceived`(self, command, path, version)` Called by channel when all data has been received. (inherited from `Request`)
| ``setETag`(self, etag)` Set an entity tagfor the outgoing response. (inherited from `Request`)
| ``setHeader`(self, k, v)` Set an outgoing HTTP header. (inherited from `Request`)
| ``setHost`(self, host, port, ssl)` Change the host and port the request thinks it's using. (inherited from `Request`)
| ``setLastModified`(self, when)` Set the Last-Modifiedtime for the response to this request. (inherited from `Request`)
| ``setResponseCode`(self, code, message)` Set the HTTP response code. (inherited from `Request`)
| ``unregisterProducer`(self)` Unregister the producer. (inherited from `Request`)
| ``write`(self, data)` Write some data as a result of an HTTP request. (inherited from `Request`)

Class Variable Summary
`dict` | `ports`
`dict` | `protocols`

Method Details

### process(self) Override in subclasses. This method is not intended for users. Overrides: `twisted.protocols.http.Request.process` (inherited documentation)

Class Variable Details

    ### ports Type: `dict` Value:
        {'http': 80}

    ### protocols Type: `dict` Value:
        {'http': <class twisted.web.proxy.ProxyClientFactory at 0x8498184>}

Generated by Epydoc 1.1 on Thu May 8 13:16:58 2003 | http://epydoc.sf.net